import { SimpleLocalIntegration } from '../../core/index.js';
import { KegtronConfigFlow } from './kegtron.classes.configflow.js';
import { createKegtronDiscoveryDescriptor } from './kegtron.discovery.js';
import type { IKegtronConfig } from './kegtron.types.js';
import { kegtronDomain, kegtronProfile } from './kegtron.types.js';

export class KegtronIntegration extends SimpleLocalIntegration<IKegtronConfig> {
  public readonly domain = kegtronDomain;
  public readonly discoveryDescriptor = createKegtronDiscoveryDescriptor();
  public readonly configFlow = new KegtronConfigFlow();

  constructor() {
    super(kegtronProfile);
  }
}
